package org.jbpm.task.identity;

import static org.junit.Assert.assertTrue;

import org.junit.Test;

public class LDAPUserGroupCallbackImplTest {

	private LDAPUserGroupCallbackImpl ldapUserGroupCallbackImpl = new LDAPUserGroupCallbackImpl();
	
	@Test
	public void shouldFoundAdministratorUser(){
		assertTrue(ldapUserGroupCallbackImpl.existsUser("Administrator"));
	}
	
	@Test
	public void shouldFoundOtherUsers(){
		assertTrue(ldapUserGroupCallbackImpl.existsUser("jmsanchez"));
	}
	
	@Test
	public void shouldFoundGroupsOfUser(){
		System.out.println(ldapUserGroupCallbackImpl.getGroupsForUser("jmsanchez", null, null));
		
		System.out.println(ldapUserGroupCallbackImpl.existsGroup("tramitadores"));
	}
}
